#! /bin/sh

if check_for_prog wall; then

cat<<EOF


found "$TMPOUT" on this System;
By default rccmd will print the messages it receives from the network 
to /dev/console. "$TMPOUT" may be used to write these messages to every 
connected terminal. I can edit "rccmd_message.sh" and "rccmd_notalive.sh"
to enable this feature.
If you change your mind later you may edit these files manually, to enable
this feature change the line "TRY_WALL=FALSE" to "TRY_WALL=TRUE".
EOF

    $doecho \\nDo you want to enable messages via $TMPOUT [Y/n]?: \\c
    read yesno

    if [ X"$yesno" = X ] || [ X"$yesno" = Xy ] || [ X"$yesno" = XY ]; then

    sed -e "/WALL=wall/s|wall|$TMPOUT|; \
	    /TRY_WALL=/s|FALSE|TRUE|" rccmd_message.sh >rccmd_message.sh.tmp \
    && mv rccmd_message.sh.tmp rccmd_message.sh
    [ $? = 0 ] || doerror failed to configure rccmd_message.sh

    sed -e "/WALL=wall/s|wall|$TMPOUT|; \
	    /TRY_WALL=/s|FALSE|TRUE|" rccmd_notalive.sh >rccmd_notalive.sh.tmp \
    && mv rccmd_notalive.sh.tmp rccmd_notalive.sh
    [ $? = 0 ] || doerror failed to configure rccmd_notalive.sh

    fi

    sleep 1;
fi

if check_for_prog logger; then

cat<<EOF


found "$TMPOUT" on this System; 
"$TMPOUT" may be used to log messages rccmd receives from the network 
to the local syslog. I can edit "rccmd_message.sh" and "rccmd_notalive.sh"
to enable this feature.
If you change your mind later you may edit these files manually, to enable
this feature change the line "TRY_LOGGER=FALSE" to "TRY_LOGGER=TRUE".
EOF

    $doecho \\nDo you want to enable logging of network messages to syslog [Y/n]?: \\c
    read yesno

    if [ X"$yesno" = X ] || [ X"$yesno" = Xy ] || [ X"$yesno" = XY ]; then

    sed -e "/LOGGER=logger/s|logger|$TMPOUT|; \
	    /TRY_LOGGER=/s|FALSE|TRUE|" rccmd_message.sh >rccmd_message.sh.tmp \
    && mv rccmd_message.sh.tmp rccmd_message.sh
    [ $? = 0 ] || doerror failed to configure rccmd_message.sh

    sed -e "/LOGGER=logger/s|logger|$TMPOUT|; \
	    /TRY_LOGGER=/s|FALSE|TRUE|" rccmd_notalive.sh >rccmd_notalive.sh.tmp \
    && mv rccmd_notalive.sh.tmp rccmd_notalive.sh
    [ $? = 0 ] || doerror failed to configure rccmd_notalive.sh

    fi

    sleep 1;
fi

XMESSAGE=`ls xmessage 2>/dev/null`
[ $? = 0 ] || XMESSAGE=

if [ X"$XMESSAGE" = X ]; then
    if check_for_prog xmessage; then
	XMESSAGE=$TMPOUT
    fi
else
   XMESSAGE=$UPS_DIR/$XMESSAGE
fi

if [ X"$XMESSAGE" != X ]; then

cat<<EOF


found "$XMESSAGE" on this System;
"$XMESSAGE" may be used to pop up messages rccmd receives from the network 
to a graphical display. I can edit "rccmd_message.sh" and "rccmd_notalive.sh"
to enable this feature.
If you change your mind later you may edit these files manually, to enable
this feature change the line "TRY_XMESSAGE=FALSE" to "TRY_XMESSAGE=TRUE".
EOF

    $doecho \\nDo you want to enable graphical popup messages [Y/n]?: \\c
    read yesno

    if [ X"$yesno" = X ] || [ X"$yesno" = Xy ] || [ X"$yesno" = XY ]; then

	sed -e "/XMESSAGE=xmessage/s|xmessage|$XMESSAGE|; \
		/TRY_XMESSAGE=/s|FALSE|TRUE|" rccmd_message.sh >rccmd_message.sh.tmp \
	&& mv rccmd_message.sh.tmp rccmd_message.sh
	[ $? = 0 ] || doerror failed to configure rccmd_message.sh

	sed -e "/XMESSAGE=xmessage/s|xmessage|$XMESSAGE|; \
		/TRY_XMESSAGE=/s|FALSE|TRUE|" rccmd_notalive.sh >rccmd_notalive.sh.tmp \
	&& mv rccmd_notalive.sh.tmp rccmd_notalive.sh
	[ $? = 0 ] || doerror failed to configure rccmd_notalive.sh

	sleep 1;

	XMESSAGE_STATIC=`ls xmessage-static 2>/dev/null`
	[ $? = 0 ] || XMESSAGE_STATIC=
	
	if [ X"$XMESSAGE_STATIC" != X ]; then

cat<<EOF


"$XMESSAGE_STATIC" has been installed with rccmd. 
"$XMESSAGE_STATIC" is statically linked against the X libraries, if you
have problems running "$XMESSAGE" complaining about missing libraries you may
want to try "$XMESSAGE_STATIC" instead, otherwise you can savely delete it.

To use "$XMESSAGE_STATIC" please edit "rccmd_message.sh" and "rccmd_notalive.sh",
change the line "XMESSAGE=$XMESSAGE" to 
"XMESSAGE=$UPS_DIR/$XMESSAGE_STATIC".
EOF
	    
	    sleep 1;
	fi
    fi
fi

chown root:0 $RCCMDSCRIPTS && chmod 774 $RCCMDSCRIPTS 
[ $? = 0 ] || doerror failed to fix permissions for scripts
